package rachunek1;

import java.util.*;

class TRachunek {

    protected int numer;
    private ArrayList<TZakup> Zakupy = new ArrayList<TZakup>();

    public TRachunek(int nr) {
        numer = nr;
    }

    public String toString() {
        TZakup z;
        StringBuffer sb = new StringBuffer();
        sb.append(" Rachunek : ");
        sb.append(numer + "\n");
        Iterator<TZakup> it = Zakupy.iterator();
        while (it.hasNext()) {
            z = it.next();
            sb.append(z.toString() + "\n");
        }
        sb.append("Wartosc zakupow 0: " + Podaj_wartosc(-1)+ "\n");
        sb.append("Wartosc zakupow A: " + Podaj_wartosc(3)+ "\n");
        sb.append("Wartosc zakupow B: " + Podaj_wartosc(7)+ "\n");
        sb.append("Wartosc zakupow C: " + Podaj_wartosc(14)+ "\n");
        sb.append("Wartosc zakupow D: " + Podaj_wartosc(22)+ "\n");
        sb.append("Wartosc rachunku: " + Podaj_wartosc(-2) + "\n"); 
        return sb.toString();
    }

    public boolean equals(Object aTRachunek) {
        TRachunek rachunek = (TRachunek) aTRachunek;
        boolean bStatus = true;
        if (numer != rachunek.numer) {
            bStatus = false;
        }
        return bStatus;
    }

    public float Podaj_wartosc(int podatek_) {
        float suma = 0;
        TZakup zakup;
        Iterator <TZakup> it = Zakupy.iterator();
        while (it.hasNext()) {
            zakup = it.next();
            suma += zakup.Podaj_wartosc(podatek_);
        }
        return suma;
    }

    public TZakup Szukaj_zakup(TZakup aTZakup) {
        int idx;
        if ((idx = Zakupy.indexOf(aTZakup)) != -1) {
            aTZakup = Zakupy.get(idx);
            return aTZakup;
        }
        return null;

    }

    public void Dodaj_zakup(TZakup aTZakup) {
        TZakup zakup;
        if ((zakup = Szukaj_zakup(aTZakup)) != null) {
            zakup.Dodaj_ilosc(aTZakup.Podaj_ilosc());
        } else {
            Zakupy.add(aTZakup);
        }
    }

    public ArrayList<TZakup> getZakupy() {
        return Zakupy;
    }

    public void setZakupy(ArrayList<TZakup> val) {
        this.Zakupy = val;
    }
}
