package rachunek1;

class TZakup {

    protected int ilosc = 0;
    private TProdukt1 Produkt = null;

    public TZakup(int ailosc, TProdukt1 aProdukt) {
        super();
        ilosc = ailosc;
        Produkt = aProdukt;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append(" ilosc : ");
        sb.append(ilosc);
        sb.append(" Produkt : ");
        sb.append(Produkt.toString());
        return sb.toString();
    }

    public boolean equals(Object aTZakup) {
        TZakup zakup = (TZakup) aTZakup;
        if (zakup == null) {
            return false;
        }
        boolean bStatus = true;
        if (!Produkt.equals(zakup.Produkt)) {
            bStatus = false;
        }
        return bStatus;
    }

    public float Podaj_wartosc(int podatek_) {
        if (podatek_ == -2 || podatek_ == Produkt.Podaj_podatek()) {
            return ilosc * Produkt.Podaj_cene();
        }
        return 0;
    }

    public void Dodaj_ilosc(int avoid) {
        ilosc += avoid;
    }

    public int Podaj_ilosc() {
        return ilosc;
    }

    public TProdukt1 getProdukt() {
        return Produkt;
    }

    public void setProdukt(TProdukt1 val) {
        this.Produkt = val;
    }
}
