package rachunek1;

class TProdukt1 {

    protected String nazwa = "";
    protected float cena = 0;
    protected TPromocja promocja = null;

    public TProdukt1(String anazwa, float acena) {
        super();
        nazwa = anazwa;
        cena = acena;
    }

    public TProdukt1(String anazwa, float acena, TPromocja apromocja) {
        super();
        nazwa = anazwa;
        cena = acena;
        promocja = apromocja;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append(" nazwa : ");
        sb.append(nazwa);
        sb.append(" cena : ");
        sb.append(Podaj_cene());
        if (promocja != null) {
            sb.append(promocja.toString());
        }
        return sb.toString();
    }

    public boolean equals(Object aTProdukt) {
        TProdukt1 aTProdukt1 = (TProdukt1) aTProdukt;
        if (aTProdukt1 == null) {
            return false;
        }
        boolean bStatus = true;
        if (!nazwa.equals(aTProdukt1.nazwa)) {
            bStatus = false;
        } else if (this.Podaj_podatek() != aTProdukt1.Podaj_podatek()) {
            bStatus = false;
        } else if (this.cena != aTProdukt1.cena) {
            bStatus = false;
        } else if (this.Podaj_cene() != aTProdukt1.Podaj_cene()) {
            bStatus = false;
        }
        return bStatus;
    }

    public float Podaj_cene() {
        return cena + Czesc_brutto();
    }

    public float Podaj_podatek() {
        return -1;
    }

    public String Podaj_nazwe() {
        return nazwa;
    }

    public float Czesc_brutto() {
        if (promocja != null) {
            return cena * (-promocja.Podaj_promocje() / 100);
        }
        return 0F;
    }

    public TPromocja getPromocja() {
        return promocja;
    }

    public void setPromocja(TPromocja val) {
        this.promocja = val;
    }
}




